:root {
  --sun-top: calc(50vh - 25px);
  --sun-left: calc(50vw - 25px);
}

body {
  background: #2980b9;  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #2c3e50, #2980b9);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #2c3e50, #2980b9); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  background-size: 400% 400%;
  -webkit-animation: Gradient 15s ease infinite;
  -moz-animation: Gradient 15s ease infinite;
  animation: Gradient 15s ease infinite;
}

.grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-auto-rows: 33vh;
}

.cell {
  width: 50px;
  height: 50px;
  margin: auto auto;
  border-radius: 50%;
  background-color: grey;
}

.shadow {
  box-shadow: 10px 10px 10px 3px, inset -5px -5px 20px 5px rgba(50, 50, 50, .5);
}

.shadow:after{
  content: "";

}

.instructions {
  position: fixed;
  left: 35%;
  top: 25%;
  color: white;
  width: 30%;
  text-align: center;
  transition: all 2s;
  opacity: 1;
  font-family: 'Poiret One', cursive;
  font-size: 1.5em;
  text-shadow: 10px 10px 20px black;
}

.hidden {
  opacity: 0;
}

.sun {
  background-image: radial-gradient(circle, #ffffff 0%, yellow 90%);
  position: fixed;
  z-index: 1;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  transform: translateX(var(--sun-left)) translateY(var(--sun-top));
}

.sun:after {
  content: "";
  background-image: transparent;
  position: fixed;
  z-index: 1;
  width: 12.5px;
  height: 12.5px;
  border-radius: 50%;
  top: 6.25px;
  left: 6.25px;
  box-shadow: 0 0 30px 15px rgba(255, 251, 147, .5), 0 0 60px 45px rgba(255, 255, 255, .4);
  animation: pulse 15s infinite;
  -moz-animation: pulse 15s infinite;
  -webkit-animation: pulse 15s infinite;
}

@media screen and (min-width: 600px) {
  .cell {
    width: 100px;
    height: 100px;
  }

  .sun {
    width: 50px;
    height: 50px;
  }

  .sun:after {
    width: 25px;
    height: 25px;
    top: 12.5px;
    left: 12.5px;
  }
}

@keyframes pulse {
  0% {
    opacity: .7;
    transform: scale(1);
  }
  50%{
    opacity: 1;
    transform: scale(1.8);
  }
  100%{
    opacity: .7;
    transform: scale(1);
  }
}

@-webkit-keyframes pulse {
  0% {
    opacity: .7;
    transform: scale(1);
  }
  50%{
    opacity: 1;
    transform: scale(1.8);
  }
  100%{
    opacity: .7;
    transform: scale(1);
  }
}

@-moz-keyframes pulse {
  0% {
    opacity: .7;
    transform: scale(1);
  }
  50%{
    opacity: 1;
    transform: scale(1.8);
  }
  100%{
    opacity: .7;
    transform: scale(1);
  }
}

@-webkit-keyframes Gradient {
   0%{background-position:0% 50%}
   50%{background-position:100% 50%}
   100%{background-position:0% 50%}
 }
@-moz-keyframes Gradient {
 0%{background-position:0% 50%}
 50%{background-position:100% 50%}
 100%{background-position:0% 50%}
}
@keyframes Gradient {
 0%{background-position:0% 50%}
 50%{background-position:100% 50%}
 100%{background-position:0% 50%}
}
